<?php
/**
 *
 * @category        admintool
 * @package         phpinfo
 * @author          Ruud Eisinga - www.dev4me.nl
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @version         0.4.0.2
 * @lastmodified    Jun 6, 2016
 *
 */

// Must include code to stop this file being access directly
if(defined('WB_PATH') == false) { die("Cannot access this file directly"); }

if (defined("WBCE_VERSION") ) {
	$info = array(
		'headline'	=> "WBCE - Latest news",
		'session'	=> "wb_news_feed",
		'baseref'	=> "http://forum.wbce.org/",
		'url'		=> "http://forum.wbce.org/extern.php?action=feed&type=rss"
	);
} else {
	$info = array(
		'headline'	=> "WebsiteBaker - Latest news",
		'session'	=> "wb_news_feed",
		'baseref'	=> "http://forum.websitebaker.org/",
		'url'		=> "http://forum.websitebaker.org/index.php?action=.xml;type=rss"
	);
};

?>
<table cellpadding="3" border="0">
	<tbody>
	<tr class="h">
		<td><h1 class="p"><?php echo $info['headline']; ?></h1></td>
	</tr>
	</tbody>
</table>
<br/>
<base href="<?php echo $info['baseref']; ?>"/>
<?php

$allow_url_fopen_test = ini_get("allow_url_fopen");
if( false == $allow_url_fopen_test ) {
	echo "Cannot read rss feed.";
	return 0;
}

$rawFeed = file_get_contents( $info['url'] );

/**
 *	Simple xml test ...
 */
$matches = array();
$result = preg_match_all(
	"/<\?xml (.*?)>/",
	$rawFeed,
	$matches,
	PREG_SET_ORDER	
);

if( 0 === count($matches)) {
	echo "Seem to be not xml! [22]";
	return 0;
}

$news = new SimpleXmlElement($rawFeed);

foreach ( $news->channel->item as $item ) {
	echo '<table cellpadding="3" border="0">';
	echo '<tr><td class="h"><h3><a href="'.(string)$item->link.'" target="_blank">'.(string)$item->title.'</a><span style="float:right">'.(string)$item->pubDate.'</span></h3></td></tr>';
	echo '<tr><td class="v">'.(string)$item->description.'</td></tr>';
	echo '<tr><td class="h"><a href="'.(string)$item->link.'" target="_blank">Read more</a></td></tr>';
	echo '</table><br/>';
}

?>